- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

# search.hh File Reference

Rational expression search in text. More...

Include dependency graph for search.hh:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | vcsn
## Classes
struct | FindBestSearch
| Specific implementation for search(). More...
struct | WindowedBackSearch
| Specific implementation for search(). More...
## Functions
template<class InputIterator, class FoundFunctor, class Series, class T>
void | search (const Element< Automata< Series >, T > &a, const InputIterator &begin, const InputIterator &end, typename Element< Automata< Series >, T >::letter_t eol, FoundFunctor &f)
| Search for a rational expression into a text.

## Detailed Description

Rational expression search in text.

Functions to perform rational expression search.

See also:
  search()

Definition in file search.hh.